BentPlateGeometrySolverAddLeg Method (ConnectiveGeometry, Contour, Double) |
Appends a polygon section to this ConnectiveGeometry, using the specified radius for the cylindrical connection.
Namespace: Tekla.Structures.Model
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.3
Syntax
public ConnectiveGeometry AddLeg( ConnectiveGeometry geometry, Contour polygon, double radius )
Parameters
- geometry
- Type: Tekla.Structures.ModelConnectiveGeometry
ConnectiveGeometry used to create a connection with. - polygon
- Type: Tekla.Structures.ModelContour
the polygonal contour to add to this geometry - radius
- Type: SystemDouble
the specified radius for the connecting cylindrical section
Return Value
Type: ConnectiveGeometryModified ConnectiveGeometry if command succeeded or geometry otherwise.
Exceptions
Exception | Condition |
---|---|
ConnectiveGeometryException | Thrown if could not create or modify ConnectiveGeometry instance. |
ArgumentException | Thrown when geometry is a stand-alone bend geometry, meaning that the first GeometrySection is a BendSurfaceNode. |
See Also